<?xml version="1.0" encoding="utf-8"?>
<!--
	* This file is part of MountainNavigation.
	*
	* MountainNavigation is free software: you can redistribute it and/or modify
	* it under the terms of the GNU General Public License as published by
	* the Free Software Foundation, either version 3 of the License, or
	* (at your option) any later version.
	*
	* MountainNavigation is distributed in the hope that it will be useful,
	* but WITHOUT ANY WARRANTY; without even the implied warranty of
	* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	* GNU General Public License for more details.
	*
	* You should have received a copy of the GNU General Public License
	* along with MountainNavigation. If not, see <http://www.gnu.org/licenses/>.
	*
	* Copyright (c) 2016 Vinzenz Rosenkanz <vinzenz.rosenkranz@gmail.com>
	*
	* Vinzenz Rosenkranz <vinzenz.rosenkranz@gmail.com>
-->
<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">
    <PreferenceCategory
        android:title="@string/settings_category_hints"
        android:key="@string/settings_hint_key">
        <CheckBoxPreference
            android:title="@string/display_hints"
            android:key="@string/settings_hint_enable_key"
            android:defaultValue="true">
        </CheckBoxPreference>
        <de.apps4ics.mountainnavigation.SeekBarPreference
            android:title="@string/minimal_hot_temp"
            android:key="@string/settings_hint_min_hot_temp_key"
            android:summary="@string/minimal_hot_temp_summary"
            android:defaultValue="2"
            android:text="@string/preferences_n_degree"
            app:min="@string/preferences_minimal_hot_temp_min"
            app:isdays="false"
            android:max="@string/preferences_minimal_hot_temp_max">
        </de.apps4ics.mountainnavigation.SeekBarPreference>
        <de.apps4ics.mountainnavigation.SeekBarPreference
            android:title="@string/maximal_cold_temp"
            android:key="@string/settings_hint_max_cold_temp_key"
            android:summary="@string/maximal_cold_temp_summary"
            android:defaultValue="2"
            android:text="@string/preferences_n_degree"
            app:min="@string/preferences_maximal_cold_temp_min"
            app:isdays="false"
            android:max="@string/preferences_maximal_cold_temp_max">
        </de.apps4ics.mountainnavigation.SeekBarPreference>
    </PreferenceCategory>
    <PreferenceCategory
        android:title="@string/settings_category_ui">
        <CheckBoxPreference
            android:title="@string/use_modern_marker"
            android:key="@string/settings_ui_use_marker_key"
            android:defaultValue="true">
        </CheckBoxPreference>
    </PreferenceCategory>
    <PreferenceCategory
        android:title="@string/settings_category_weather">
        <de.apps4ics.mountainnavigation.SeekBarPreference
            android:title="@string/days_of_forecast"
            android:key="@string/settings_weather_days_forecast_key"
            android:summary="@string/days_of_forecast_summary"
            android:defaultValue="2"
            android:text=""
            app:min="@string/preferences_days_of_forecast_min"
            app:isdays="true"
            android:max="@string/preferences_days_of_forecast_max">
        </de.apps4ics.mountainnavigation.SeekBarPreference>
    </PreferenceCategory>
    <PreferenceCategory
        android:title="@string/settings_category_osm">
        <EditTextPreference
            android:title="@string/username"
            android:key="@string/settings_osm_user_key">
        </EditTextPreference>
        <EditTextPreference
            android:title="@string/password"
            android:key="@string/settings_osm_password_key">
        </EditTextPreference>
    </PreferenceCategory>
</PreferenceScreen>